Subject: Re: Using the aesni generic gcm(aes) aead in atomic context

From: Steffen Klassert <[email-masked]>
Date: Wed, 1 Nov 2017 10:21:07 +0100

On Tue, Oct 31, 2017 at 09:41:24AM +0000, Ilya Lesokhin wrote:
> 
> Are you sure supporting ASYNC crypto for fallback is worth the trouble?

It is not just for fallback, I plan to support the IPsec GSO codepath
for software crypto too. In this case we should be able to handle all
algorithms, including the async ones.

> This path is going to be slower that the path were you do the crypto in advance, right?

If the cryptd is used, yes. At least that's what I messured for IPsec
forwarding. But I think this is because we enqueue requests much
faster that the cryptd dequeues them.